Package org.apache.tools.ant.taskdefs.optional.net

# Class MimeMail

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.tools.ant.taskdefs.email.EmailTask
org.apache.tools.ant.taskdefs.optional.net.MimeMail

All Implemented Interfaces:
  `java.lang.Cloneable`

    @Deprecated
    public class MimeMail
    extends EmailTask

Deprecated.
since 1.6.x. Use `EmailTask` instead.
A task to send SMTP email; Use `mail` instead

Since:
  Ant1.4

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.tools.ant.taskdefs.email.EmailTask

`EmailTask.Encoding`

## Field Summary

### Fields inherited from class org.apache.tools.ant.taskdefs.email.EmailTask

`AUTO, MIME, PLAIN, UU`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`MimeMail()` | Deprecated.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `execute()` | Deprecated. Executes this build task.

### Methods inherited from class org.apache.tools.ant.taskdefs.email.EmailTask

`addBcc, addCc, addFileset, addFrom, addMessage, addReplyTo, addTo, createAttachments, createHeader, getCharset, getIncludeFileNames, setBccList, setCcList, setCharset, setEnableStartTLS, setEncoding, setFailOnError, setFiles, setFrom, setIgnoreInvalidRecipients, setIncludefilenames, setMailhost, setMailport, setMessage, setMessageFile, setMessageFileInputEncoding, setMessageMimeType, setPassword, setReplyTo, setSSL, setSubject, setToList, setUser`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MimeMail

public MimeMail()
Deprecated.

## Method Details

### execute

public void execute() throws BuildException
Deprecated.
Executes this build task.

Overrides:
  `execute` in class `EmailTask`
Throws:
  `BuildException` - On error.